<%@ Page Language="C#" Debug="true" %>
<%@ import Namespace="MyLittleWriter" %>
<script runat="server">

    void Page_Load(Object sender, EventArgs evArgs) {
    
        NameValueCollection oForm = Request.Form;
        MyLittleWriter.RtfFile oMlw = new MyLittleWriter.RtfFile();
	MyLittleWriter.Color cBlack = new MyLittleWriter.Color(0, 0, 0);
	MyLittleWriter.Color cWhite = new MyLittleWriter.Color(255, 255, 255);
        string sDownloadUrl = "test.rtf";
	double nTotal = 0;
	int nOrdered = 0;

    	// Document Info Properties
    	oMlw.DefaultLang = 1033;
    	oMlw.Title = "Purchase Order";
    	oMlw.Author = "Elian Chrebor";
    	oMlw.Manager = "Elian Chrebor";
    	oMlw.Company = "myLittleTools.net";
    	oMlw.DocComment = "RTF File generated from myLittleWriter Live Demo";
    	oMlw.LeftMargin = 750;
    	oMlw.RightMargin = 750;
    	oMlw.TopMargin = 750;
    	oMlw.BottomMargin = 750;
    
    	// Header
    	oMlw.OpenHeader();
    	oMlw.OpenTable("centered");
    	oMlw.NewRow();
    	oMlw.NewCell(4000);
	oMlw.InsertImageFromUrl("http://www.mylittletools.net/livedemo/mlw/logo.png", "PNG");
	oMlw.SetFontProp("FontName", "Arial");
    	oMlw.SetFontProp("FontSize", 8);
	oMlw.AddHtml("<br>47bis, rue du General de Gaulle<br>95 880 Enghien Les Bains - France");
	oMlw.NewCell(6000, "bottom");
    	oMlw.AddHtml("<right><b>This document has been generated on-the-fly with ");
    	oMlw.AddHyperlink("http://www.mylittletools.net/mlw", "myLittleWriter");
    	oMlw.CloseTable();
    	oMlw.CloseHeader();
    
	// Footer
	oMlw.OpenFooter();
	oMlw.OpenTable("centered");
	oMlw.NewRow(false, 100);
	oMlw.NewCell(4000,  null, null, "single", false, false, true, false);
	oMlw.SetFontProp("FontName", "Arial");
	oMlw.SetFontProp("FontSize", 8);
	oMlw.InsertField("DATE \\@ \"d MMM yyyy\"");
	oMlw.NewCell(6000,  null, null, "single", false, false, true, false);
        oMlw.AddHtml("<right>page ");
    	oMlw.InsertField("PAGE");
    	oMlw.AddHtml("/");
    	oMlw.InsertField("NUMPAGES");
    	oMlw.CloseTable();
    	oMlw.CloseFooter();

	// Fax 
	oMlw.AddHtml("<p><br>");
	oMlw.OpenTable("centered");
	oMlw.NewRow(false, 0, 0, 100, 100);
	oMlw.NewCell(10000, cBlack, "centered");
	oMlw.SetFontProp("FontColor", cWhite);
	oMlw.SetFontProp("FontSize", 14);
	oMlw.AddHtml("<center><b>SIGN AND FAX TO 1-719-623-0399</b>");

	oMlw.NewRow(false, 1500, 0, 0, 100, 100);
	oMlw.NewCell(10000, "centered");
	oMlw.SetFontProp("FontColor", cBlack);
	oMlw.AddHtml("<center><b>PURCHASE ORDER</b>");
	oMlw.CloseTable();

	// Document
	oMlw.SetFontProp("FontColor", cBlack);
	oMlw.SetFontProp("FontSize", 10);
	oMlw.OpenTable("centered");

	// Billing Info
	oMlw.NewRow ();
	oMlw.NewCell(7000);
	oMlw.AddHtml("<p><b>Billing Info</b>");
	oMlw.AddHtml("<br><b>" + oForm.Get("company") + "</b>");
	oMlw.AddHtml("<br>Attn to " + oForm.Get("fname") + " " + oForm.Get("lname"));
	if (oForm.Get("address1") != "") oMlw.AddHtml("<br>" + oForm.Get("address1"));
	if (oForm.Get("address2") != "") oMlw.AddHtml("<br>" + oForm.Get("address2"));
	if (oForm.Get("city") != "") oMlw.AddHtml("<br>" + oForm.Get("city"));
	if (oForm.Get("state") != "") oMlw.AddHtml(", " + oForm.Get("state"));
	if (oForm.Get("zipcode") != "") oMlw.AddHtml(" " + oForm.Get("zipcode"));
	if (oForm.Get("country") != "") oMlw.AddHtml("<br>" + oForm.Get("country"));
	oMlw.AddHtml("<p><br>T: " + oForm.Get("phone"));
	oMlw.AddHtml("<br>F: " + oForm.Get("fax"));

	// Vendor Info
	oMlw.NewCell(3000);
	oMlw.AddHtml("<p><b>Vendor Info</b>");
	oMlw.AddHtml("<br><b>Reg.net</b>");
	oMlw.AddHtml("<br>675 Southpointe Court");
	oMlw.AddHtml("<br>Suite 250");
	oMlw.AddHtml("<br>Colorado Springs, CO  80906");
	oMlw.AddHtml("<br>U.S.A.");
	oMlw.CloseTable();

	// Order info			
	oMlw.AddHtml("<p><br><br><br><br>");
	oMlw.OpenTable("centered");
	oMlw.NewRow(true);
	oMlw.NewCell(1000, null, null, "single", false, false, false, true);
	oMlw.AddHtml("<b>Prod. ID</b>");
	oMlw.NewCell(6100, null, null, "single", false, false, false, true);
	oMlw.AddHtml("<b>Name</b>");
	oMlw.NewCell(500, null, null, "single", false, false, false, true);
	oMlw.AddHtml("<center><b>Qty</b>");
	oMlw.NewCell(1200, null, null, "single", false, false, false, true);
	oMlw.AddHtml("<center><b>Price</b>");
	oMlw.NewCell(1200, null, null, "single", false, false, false, true);
	oMlw.AddHtml("<center><b>Amount</b>");
	
	nOrdered =Convert.ToInt16(oForm.Get("mla_sql_whe"));
	if ( nOrdered > 0) {
		oMlw.NewRow(false, 300);
		oMlw.NewCell(1000, "bottom");
		oMlw.AddText("13272");
		oMlw.NewCell(6100, "bottom");
		oMlw.AddText("myLittleAdmin WebHosting Edition");
		oMlw.NewCell(500, "bottom");
		oMlw.AddText(oForm.Get("mla_sql_whe"));
		oMlw.NewCell(1200, "bottom");
		oMlw.AddHtml("<right>$ 590.00");
		oMlw.NewCell(1200, "bottom");
		oMlw.AddHtml("<right>$ " + (nOrdered * 590).ToString());
		nTotal += nOrdered * 590;
	}

	nOrdered =Convert.ToInt16(oForm.Get("mla_sql"));
	if ( nOrdered > 0) {
		oMlw.NewRow(false, 300);
		oMlw.NewCell(1000, "bottom");
		oMlw.AddText("10924");
		oMlw.NewCell(6100, "bottom");
		oMlw.AddText("myLittleAdmin For SQL Server and MSDE");
		oMlw.NewCell(500, "bottom");
		oMlw.AddText(oForm.Get("mla_sql"));
		oMlw.NewCell(1200, "bottom");
		oMlw.AddHtml("<right>$ 350.00");
		oMlw.NewCell(1200, "bottom");
		oMlw.AddHtml("<right>$ " + (nOrdered * 350).ToString());
		nTotal += nOrdered * 350;
	}

	nOrdered =Convert.ToInt16(oForm.Get("mlw"));
	if ( nOrdered > 0) {
		oMlw.NewRow(false, 300);
		oMlw.NewCell(1000, "bottom");
		oMlw.AddText("11276");
		oMlw.NewCell(6100, "bottom");
		oMlw.AddText("myLittleWriter");
		oMlw.NewCell(500, "bottom");
		oMlw.AddText(oForm.Get("mlw"));
		oMlw.NewCell(1200, "bottom");
		oMlw.AddHtml("<right>$ 99.00");
		oMlw.NewCell(1200, "bottom");
		oMlw.AddHtml("<right>$ " + (nOrdered * 99).ToString());
		nTotal += nOrdered * 99;
	}

	nOrdered =Convert.ToInt16(oForm.Get("mld"));
	if ( nOrdered > 0) {
		oMlw.NewRow(false, 300);
		oMlw.NewCell(1000, "bottom");
		oMlw.AddText("19568");
		oMlw.NewCell(6100, "bottom");
		oMlw.AddText("myLittleDatagrid");
		oMlw.NewCell(500, "bottom");
		oMlw.AddText(oForm.Get("mld"));
		oMlw.NewCell(1200, "bottom");
		oMlw.AddHtml("<right>$ 99.00");
		oMlw.NewCell(1200, "bottom");
		oMlw.AddHtml("<right>$ " + (nOrdered * 99).ToString());
		nTotal += nOrdered * 99;
	}

	// Total
	oMlw.NewRow(false, 500);
	oMlw.NewCell(8800, "bottom");
	oMlw.AddHtml("<right><b>TOTAL");
	oMlw.NewCell(1200, null, "bottom", "single", false, false, true, false);
	oMlw.AddHtml("<right>$ " + nTotal.ToString());
	oMlw.CloseTable();

	// Date and signature
	oMlw.AddHtml("<p><br><br><br><br>");
	oMlw.AddHtml("<b>Date and signature : </b>....................................................................<br>");
	oMlw.AddHtml("<br><b>" + oForm.Get("company") + "</b>, ");
	oMlw.AddHtml("<br>" + oForm.Get("fname") + " " + oForm.Get("lname"));

	// Saves the file on the server
	oMlw.SaveToFile(Server.MapPath(sDownloadUrl));

	// Writes the link in the HTML document
	DownloadLink.NavigateUrl = sDownloadUrl;  
    }

</script>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html lang="en-US" xmlns="http://www.w3.org/1999/xhtml" xml:lang="en-US">
<head>
    <title>myLittleWriter : On-the-fly RTF files creation component</title>
    <meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-1" />
    <meta http-equiv="Content-Script-Type" content="text/javascript" />
    <meta http-equiv="Content-Style-Type" content="text/css" />
    <meta http-equiv="Content-Language" content="en-US" />
    <meta http-equiv="pics-label" content='(pics-1.1 "http://www.icra.org/ratingsv02.html" comment "ICRAonline EN v2.0" l gen true for "http://www.myLittleTools.net" r (nz 1 vz 1 lz 1 oz 1 cz 1) "http://www.rsac.org/ratingsv01.html" l gen true for "http://www.myLittleTools.net" r (n 0 s 0 v 0 l 0))' />
    <meta content="20050115" name="date-creation-yyyymmdd" />
    <meta content="20050115" name="date-revision-yyyymmdd" />
    <meta content="15 days" name="revisit-after" />
    <meta content="index,follow" name="robots" />
    <meta content="General" name="rating" />
    <meta content="Global" name="distribution" />
    <meta content="myLittleTools, myLittleWriter, component, ASP, HTML, JScript, code, source, download, free, Microsoft, Macromedia, UltraDev, RTF, Word, DOC, on the fly, WSC, tool, tools, utility, utilities, web based, application, applications, app, apps" name="keywords" />
    <meta content="myLittleWriter is a component that allows to easily create RTF files on the fly from ASP pages without having MS Word installed on the server." name="description" />
    <meta content="Elian Chrebor, myLittleTools.net" name="author" />
    <meta content="webmaster@myLittleTools.net" name="reply-to" />
    <meta content="webmaster@myLittleTools.net" name="owner" />
    <meta content="(c) 2000-2003, Elian Chrebor, myLittleTools.net" name="copyright" />
    <link href="/favicon.ico" rel="shortcut icon" />
    <link title="Author" href="mailto:webmaster@myLittleTools.net" rel="author" />
<style type="text/css">
	body {
		background-color : #ffffff;
		color : #666666;
		font-family : Verdana, Arial, Geneva, Helvetica, sans-serif;
		font-size : 11px;
	}
	h1 {
		font-size : 1.5em;
		font-weight : bold;
	}
	h2 {
		background-color : #666699;
		color : #ffffff;
		font-size : 1.1em;
		font-weight : bold;
		padding : 4px 7px 4px 5px;
		margin : 0 2px 0 0;
	}
</style>
</head>
<body>
    <h1>myLittleWriter Live Demo
    </h1>
    <h2>myLittleWriter :: On-the-fly RTF files creation Component
    </h2>
    <p>
        The file has been created on the server. Of course, it would have been as easy to
        send the generated file by e-mail, or to stream it directly.<br />
        You can download it by clicking here :&nbsp;
        <asp:HyperLink id="DownloadLink" runat="server">YOUR RTF FILE</asp:HyperLink>
    </p>
    <p>
        <a href="sample.aspx">Back to the live demo</a>
    </p>
</body>
</html>